tt_default_ptype(library call)

NAME
tt_default_ptype — retrieve the current default ptype

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_default_ptype(void)

DESCRIPTION

The tt_default_ptype function retrieves the current default ptype.

When the application declares a ptype, the ptype becomes the default.

RETURN VALUE

Upon successful completion, the tt_default_ptype function returns a pointer to a character string that uniquely identifies the current default process type. If the pointer is NULL, no default ptype is set. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptype_declare(3), tt_ptr_error(3), tt_free(3).